# UniTAP.dev.modules.dut_tests.dut_default_params.dp1_4_sink_tests

class BitStream(enum.IntEnum):

Describes available values for bit stream. Sink DUT support 444 CRC for Simple 422 bitstream

YCbCr422 = <BitStream.YCbCr422: 0>
YCbCr444 = <BitStream.YCbCr444: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PackedSource(enum.IntEnum):

Describes available values for packer source. Source of the most packet video modes table.

UseTestConfig = <PackedSource.UseTestConfig: 0>
UseSinkDutEdid = <PackedSource.UseSinkDutEdid: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DisplayIdVisualCheck(enum.IntEnum):

Describes available values for visual check during DisplayID CTS tests.

NeverSkip = <DisplayIdVisualCheck.NeverSkip: 0>
SkipIfCrcMatches = <DisplayIdVisualCheck.SkipIfCrcMatches: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Timing:

Class `Timing` describes available supported timings standard.

- CTA `cta` (enable/disable).
- RB1 `rb1` (enable/disable).
- RB2 `rb2` (enable/disable).

Timing(timing_data)
cta

Set and get CTA flag support.

###### Returns:

> object of bool type

rb1

Set and get RB1 flag support.

###### Returns:

> object of bool type

rb2

Set and get RB2 flag support.

###### Returns:

> object of bool type

def set_all(self):
def clear(self):
class Dp14SinkTimings:

Class `Dp14SinkTimings` defines DSC video modes adn allows settings values.

- 1920x1080 30Hz `T_1920_x_1080_30`.
- 1920x1080 60Hz `T_1920_x_1080_60`.
- 1920x1080 120Hz `T_1920_x_1080_120`.
- 3840x2160 30Hz `T_3840_x_2160_30`.
- 3840x2160 60Hz `T_3840_x_2160_60`.
- 3840x2160 120Hz `T_3840_x_2160_120`.
- 5120x2160 30Hz `T_5120_x_2160_30`.
- 5120x2160 60Hz `T_5120_x_2160_60`.
- 5120x2160 120Hz `T_5120_x_2160_120`.
- 7680x4320 30Hz `T_7680_x_4320_30`.
- 7680x4320 60Hz `T_7680_x_4320_60`.
- 7680x4320 100Hz `T_7680_x_4320_100`.

Dp14SinkTimings(json_obj)
T_1920_x_1080_30: Timing

Set and get 1920x1080 30Hz timing.

###### Returns:

> object of `Timing` type

T_1920_x_1080_60: Timing

Set and get 1920x1080 60Hz timing.

###### Returns:

> object of `Timing` type

T_1920_x_1080_120: Timing

Set and get 1920x1080 120Hz timing.

###### Returns:

> object of `Timing` type

T_3840_x_2160_30: Timing

Set and get 3840x2160 30Hz timing.

###### Returns:

> object of `Timing` type

T_3840_x_2160_60: Timing

Set and get 3840x2160 60Hz timing.

###### Returns:

> object of `Timing` type

T_3840_x_2160_120: Timing

Set and get 3840x2160 120Hz timing.

###### Returns:

> object of `Timing` type

T_5120_x_2160_30: Timing

Set and get 5120x2160 30Hz timing.

###### Returns:

> object of `Timing` type

T_5120_x_2160_60: Timing

Set and get 5120x2160 60Hz timing.

###### Returns:

> object of `Timing` type

T_5120_x_2160_120: Timing

Set and get 5120x2160 120Hz timing.

###### Returns:

> object of `Timing` type

T_7680_x_4320_30: Timing

Set and get 7680x4320 30Hz timing.

###### Returns:

> object of `Timing` type

T_7680_x_4320_60: Timing

Set and get 7680x4320 60Hz timing.

###### Returns:

> object of `Timing` type

T_7680_x_4320_100: Timing

Set and get 7680x4320 100Hz timing.

###### Returns:

> object of `Timing` type

class ConfigVideoMode1LaneParam:

Class `ConfigVideoMode1LaneParam` defines support for video mode for 1 lane and allows settings values.

- CVT 1280x800 `cvt_1280x800`.
- DMT 1280x768 `dmt_1280x768`.
- DMT 800x600 `dmt_800x600`.
- DMT 1024x768 `dmt_1024x768`.
- CTA 1440x480 `cta_1440x480`.
- CTA 1440x576 `cta_1440x576`.

ConfigVideoMode1LaneParam(json_obj)
cvt_1280x800: bool

Set and get CVT 1280x800 timing flag support.

###### Returns:

> object of bool type

dmt_1280x768: bool

Set and get DMT 1280x768 timing flag support.

###### Returns:

> object of bool type

dmt_800x600: bool

Set and get DMT 800x600 timing flag support.

###### Returns:

> object of bool type

dmt_1024x768: bool

Set and get DMT 1024x768 timing flag support.

###### Returns:

> object of bool type

cta_1440x480: bool

Set and get CTA 1440x480 timing flag support.

###### Returns:

> object of bool type

cta_1440x576: bool

Set and get CTA 1440x576 timing flag support.

###### Returns:

> object of bool type

class ConfigVideoMode2LaneParam:

Class `ConfigVideoMode2LaneParam` defines support for video mode for 2 lane and allows settings values.

- DMT 1280x1024 `dmt_1280x1024`.
- DMT 1280x960 `dmt_1280x960`.
- DMT 1360x768 `dmt_1360x768`.
- CVT 1280x800 `cvt_1280x800`.
- DMT 1400x1050 `dmt_1400x1050`.
- DMT 1280x768 `dmt_1280x768`.
- CVT 1600x1200 `cvt_1600x1200`

ConfigVideoMode2LaneParam(json_obj)
dmt_1280x1024: bool

Set and get DMT 1280x1024 timing flag support.

###### Returns:

> object of bool type

dmt_1280x960: bool

Set and get DMT 1280x960 timing flag support.

###### Returns:

> object of bool type

dmt_1360x768: bool

Set and get DMT 1360x768 timing flag support.

###### Returns:

> object of bool type

cvt_1280x800: bool

Set and get CVT 1280x800 timing flag support.

###### Returns:

> object of bool type

dmt_1400x1050: bool

Set and get DMT 1400x1050 timing flag support.

###### Returns:

> object of bool type

dmt_1280x768: bool

Set and get DMT 1280x768 timing flag support.

###### Returns:

> object of bool type

cvt_1600x1200: bool

Set and get CVT 1600x1200 timing flag support.

###### Returns:

> object of bool type

class ConfigVideoMode4LaneParam:

Class `ConfigVideoMode4LaneParam` defines support for video mode for 4 lane and allows settings values.

- CVT 2048x1536 `cvt_2048x1536`.
- DMT 1792x1344 `dmt_1792x1344`.
- DMT 1600x1200 `dmt_1600x1200`.
- CTA 1920x1080 `cta_1920x1080`.

ConfigVideoMode4LaneParam(json_obj)
cvt_2048x1536: bool

Set and get CVT 2048x1536 timing flag support.

###### Returns:

> object of bool type

dmt_1792x1344: bool

Set and get DMT 1792x1344 timing flag support.

###### Returns:

> object of bool type

dmt_1600x1200: bool

Set and get DMT 1600x1200 timing flag support.

###### Returns:

> object of bool type

cta_1920x1080: bool

Set and get CTA 1920x1080 timing flag support.

###### Returns:

> object of bool type

class Dp14SinkTestParam:

Class `Dp14SinkTestParam` allows working with parameters for Sink DP 1.4 LLCTS tests.

- Set and get test timeout, in milliseconds `timeout`.
- Set and get DSC timings `timings` type `Dp14SinkTimings`.
- Set and get capabilities of DSC video mode `dsc_video_mode`.
- Set and get bitstream type `bitstream` - type `BitStream`.
- Set and get packed source `packed_source` - type `PackedSource`.
- Set and get configuration of video modes for 1 lane `config_video_mode_1_lane` type `ConfigVideoMode1LaneParam`.
- Set and get configuration of video modes for 2 lane `config_video_mode_2_lane` type `ConfigVideoMode2LaneParam`.
- Set and get configuration of video modes for 4 lane `config_video_mode_4_lane` type `ConfigVideoMode4LaneParam`.
- Set and get flag of display id visual `display_id_visual` type `DisplayIdVisualCheck`.

Dp14SinkTestParam(json_obj)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

timings

Set and get timings.

###### Returns:

> object `Dp14SinkTimings`

dsc_video_mode: PackedSource

Set and get dsc video packed source.

###### Returns:

> object `PackedSource`

bitstream: BitStream

Set and get bitstream.

###### Returns:

> object `BitStream`

packed_source: PackedSource

Set and get packed source.

###### Returns:

> object `PackedSource`

config_video_mode_1_lane

Set and get configuration of video modes for 1 lane.

###### Returns:

> object `ConfigVideoMode1LaneParam`

config_video_mode_2_lane

Set and get configuration of video modes for 2 lane.

###### Returns:

> object `ConfigVideoMode2LaneParam`

config_video_mode_4_lane

Set and get configuration of video modes for 4 lane.

###### Returns:

> object `ConfigVideoMode4LaneParam`

display_id_visual: DisplayIdVisualCheck

Set and get flag of visual check in Display ID.

###### Returns:

> object `DisplayIdVisualCheck`